Bug 1358459 - LDAP authentication is broken
Summary: LDAP authentication is broken
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: 31
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 18:19 UTC by Vladislav Grigoryev
Modified: 2019-08-13 19:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:30:04 UTC


Attachments (Terms of Use)

Description Vladislav Grigoryev 2016-07-20 18:19:57 UTC
Description of problem:
LDAP authentication is broken

Version-Release number of selected component (if applicable):
ejabberd-16.01-5.fc24.x86_64
erlang-eldap-18.3.4-1.fc24.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install ejabberd.
2. Configure LDAP authentication

Actual results:
<0.362.0>@eldap_pool:start_link:61 Err = {'EXIT',{undef,[{eldap,start_link,[<<"#Ref<0.0.4.8409>">>,[<<"ldap.kola.fad.ru">>],389,<<"ejabberd@kola.fad.ru">>,<<"***">>,[{encrypt,starttls},{tls_verify,hard},{tls_cacertfile,<<"/etc/pki/tls/certs/ca.kola.fad.ru.crt">>},{tls_depth,undefined}]],[]},{eldap_pool,'-start_link/7-fun-2-',7,[{file,"src/eldap_pool.erl"},{line,55}]},{lists,foreach,2,[{file,"lists.erl"},{line,1337}]},{ejabberd_auth_ldap,init,1,[{file,"src/ejabberd_auth_ldap.erl"},{line,105}]},{gen_server,init_it,6,[{file,"gen_server.erl"},{line,328}]},{proc_lib,init_p_do_apply,3,[{file,"proc_lib.erl"},{line,240}]}]}}

Workaround:
# sed --in-place --regexp-extended --expression='s%^(ERL_LIBS=.*)$%\1/ejabberd-16.01%' /usr/bin/ejabberdctl

Comment 1 Fedora End Of Life 2017-11-16 19:36:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:30:04 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Jan Kurik 2018-05-31 09:06:42 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Comment 4 Peter Lemenkov 2018-11-20 14:02:25 UTC
I wonder if this is still valid bugreport for recent Erlang + Ejabberd? Could someone please retest it?

Comment 5 Vladislav Grigoryev 2018-12-26 16:32:27 UTC
As far as I can see it should be still valid.
The main problem is `ERL_LIBS` path does not include child directory `ejabberd-18.09`, so it can't see the libraries inside of it.
```
# cd $(mktemp -d)

# dnf -q download ejabberd

# rpm2cpio ejabberd-18.09-3.fc29.noarch.rpm | cpio -idm
19662 blocks

# grep ^ERL_LIBS= usr/bin/ejabberdctl
ERL_LIBS=/usr/share/erlang/lib

# ls usr/share/erlang/lib
ejabberd-18.09
```

Comment 6 Ben Cotton 2019-02-19 17:11:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 7 Ben Cotton 2019-08-13 16:57:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 8 Ben Cotton 2019-08-13 19:29:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.